# Class default

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (view full)

- default
  - default

- Defined in src/ui/party-ui-handler.ts:70

#####
Index

### Constructors

constructor

### Properties

active
awaitingActionInput
cursor
fieldIndex
iconAnimHandler
lastCursor
localizedOptions
message
mode
moveInfoOverlay
moveSelectFilter
onActionInput
options
optionsBg
optionsContainer
optionsCursor
optionsCursorObj
optionsMode
optionsScroll
optionsScrollCursor
optionsScrollTotal
partyBg
partyCancelButton
partyContainer
partyMessageBox
partySlots
partySlotsContainer
partyUiMode
pendingPrompt
prompt
scene
selectCallback
selectFilter
showMovePp
textCallbackTimer
textTimer
tmMoveId
transferCursor
transferMode
transferOptionCursor
transferQuantities
transferQuantitiesMax
tutorialActive
NoEffectMessage

### Methods

FilterChallengeLegal
clear
clearOptions
clearPartySlots
clearText
clearTransfer
doRelease
eraseOptionsCursor
getCursor
getOptionsCursorWithScroll
getReleaseMessage
getTextColor
getUi
populatePartySlots
processInput
processTutorialInput
setCursor
setup
show
showDialogue
showOptions
showPrompt
showText
startTransfer
updateOptions
FilterAll
FilterAllMoves
FilterFainted
FilterItemMaxStacks
FilterNonFainted

## Constructors

### constructor

- new default(scene): default

- #### Parameters

  - scene: default

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/party-ui-handler.ts:153

## Properties

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` awaitingActionInput

awaitingActionInput: boolean

Inherited from default.awaitingActionInput

- Defined in src/ui/awaitable-ui-handler.ts:7

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### `Private` fieldIndex

fieldIndex: number

- Defined in src/ui/party-ui-handler.ts:72

### `Private` iconAnimHandler

iconAnimHandler: default

- Defined in src/ui/party-ui-handler.ts:107

### `Private` lastCursor

lastCursor: number = 0

- Defined in src/ui/party-ui-handler.ts:100

### `Private` localizedOptions

localizedOptions: PartyOption [] = ...

- Defined in src/ui/party-ui-handler.ts:151

### message

message: Text

Inherited from default.message

- Defined in src/ui/message-ui-handler.ts:11

### `Protected` mode

mode: number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Private` moveInfoOverlay

moveInfoOverlay: default

- Defined in src/ui/party-ui-handler.ts:80

### `Private` moveSelectFilter

moveSelectFilter: PokemonMoveSelectFilter

- Defined in src/ui/party-ui-handler.ts:103

### `Protected` onActionInput

onActionInput: Function

Inherited from default.onActionInput

- Defined in src/ui/awaitable-ui-handler.ts:8

### `Private` options

options: number[]

- Defined in src/ui/party-ui-handler.ts:90

### `Private` optionsBg

optionsBg: NineSlice

- Defined in src/ui/party-ui-handler.ts:88

### `Private` optionsContainer

optionsContainer: Container

- Defined in src/ui/party-ui-handler.ts:87

### `Private` optionsCursor

optionsCursor: number = 0

- Defined in src/ui/party-ui-handler.ts:84

### `Private` optionsCursorObj

optionsCursorObj: Image

- Defined in src/ui/party-ui-handler.ts:89

### `Private` optionsMode

optionsMode: boolean

- Defined in src/ui/party-ui-handler.ts:82

### `Private` optionsScroll

optionsScroll: boolean

- Defined in src/ui/party-ui-handler.ts:83

### `Private` optionsScrollCursor

optionsScrollCursor: number = 0

- Defined in src/ui/party-ui-handler.ts:85

### `Private` optionsScrollTotal

optionsScrollTotal: number = 0

- Defined in src/ui/party-ui-handler.ts:86

### `Private` partyBg

partyBg: Image

- Defined in src/ui/party-ui-handler.ts:74

### `Private` partyCancelButton

partyCancelButton: PartyCancelButton

- Defined in src/ui/party-ui-handler.ts:78

### `Private` partyContainer

partyContainer: Container

- Defined in src/ui/party-ui-handler.ts:75

### `Private` partyMessageBox

partyMessageBox: NineSlice

- Defined in src/ui/party-ui-handler.ts:79

### `Private` partySlots

partySlots: PartySlot[]

- Defined in src/ui/party-ui-handler.ts:77

### `Private` partySlotsContainer

partySlotsContainer: Container

- Defined in src/ui/party-ui-handler.ts:76

### `Private` partyUiMode

partyUiMode: PartyUiMode

- Defined in src/ui/party-ui-handler.ts:71

### pendingPrompt

pendingPrompt: boolean

Inherited from default.pendingPrompt

- Defined in src/ui/message-ui-handler.ts:9

### prompt

prompt: Sprite

Inherited from default.prompt

- Defined in src/ui/message-ui-handler.ts:12

### `Protected` scene

scene: default

Inherited from default.scene

- Defined in src/ui/ui-handler.ts:10

### `Private` selectCallback

selectCallback: PartySelectCallback | PartyModifierTransferSelectCallback

- Defined in src/ui/party-ui-handler.ts:101

### `Private` selectFilter

selectFilter: PokemonSelectFilter | PokemonModifierTransferSelectFilter

- Defined in src/ui/party-ui-handler.ts:102

### `Private` showMovePp

showMovePp: boolean

- Defined in src/ui/party-ui-handler.ts:105

### `Protected` textCallbackTimer

textCallbackTimer: TimerEvent

Inherited from default.textCallbackTimer

- Defined in src/ui/message-ui-handler.ts:8

### `Protected` textTimer

textTimer: TimerEvent

Inherited from default.textTimer

- Defined in src/ui/message-ui-handler.ts:7

### `Private` tmMoveId

tmMoveId: Moves

- Defined in src/ui/party-ui-handler.ts:104

### `Private` transferCursor

transferCursor: number

- Defined in src/ui/party-ui-handler.ts:94

### `Private` transferMode

transferMode: boolean

- Defined in src/ui/party-ui-handler.ts:92

### `Private` transferOptionCursor

transferOptionCursor: number

- Defined in src/ui/party-ui-handler.ts:93

### `Private` transferQuantities

transferQuantities: number[]

Current quantity selection for every item held by the pokemon selected for the transfer

- Defined in src/ui/party-ui-handler.ts:96

### `Private` transferQuantitiesMax

transferQuantitiesMax: number[]

Stack size of every item that the selected pokemon is holding

- Defined in src/ui/party-ui-handler.ts:98

### tutorialActive

tutorialActive: boolean = false

Inherited from default.tutorialActive

- Defined in src/ui/awaitable-ui-handler.ts:9

### `Static` NoEffectMessage

NoEffectMessage: string = "It won't have any effect."

- Defined in src/ui/party-ui-handler.ts:149

## Methods

### `Private` FilterChallengeLegal

- FilterChallengeLegal(pokemon): string

- For consistency reasons, this looks like the above filters. However this is used only internally and is always enforced for switching.

  #### Parameters

  - pokemon: PlayerPokemon

    The pokemon to check.

  #### Returns string

  - Defined in src/ui/party-ui-handler.ts:130

### clear

- clear(): void

- #### Returns void

  Overrides default.clear

  - Defined in src/ui/party-ui-handler.ts:958

### clearOptions

- clearOptions(): void

- #### Returns void

  - Defined in src/ui/party-ui-handler.ts:936

### clearPartySlots

- clearPartySlots(): void

- #### Returns void

  - Defined in src/ui/party-ui-handler.ts:966

### clearText

- clearText(): void

- #### Returns void

  Inherited from default.clearText

  - Defined in src/ui/message-ui-handler.ts:189

### clearTransfer

- clearTransfer(): void

- #### Returns void

  - Defined in src/ui/party-ui-handler.ts:883

### doRelease

- doRelease(slotIndex): void

- #### Parameters

  - slotIndex: number

  #### Returns void

  - Defined in src/ui/party-ui-handler.ts:888

### eraseOptionsCursor

- eraseOptionsCursor(): void

- #### Returns void

  - Defined in src/ui/party-ui-handler.ts:951

### getCursor

- getCursor(): number

- #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:42

### getOptionsCursorWithScroll

- getOptionsCursorWithScroll(): number

- #### Returns number

  - Defined in src/ui/party-ui-handler.ts:932

### getReleaseMessage

- getReleaseMessage(pokemonName): string

- #### Parameters

  - pokemonName: string

  #### Returns string

  - Defined in src/ui/party-ui-handler.ts:907

### getTextColor

- getTextColor(style, shadow?): string

- #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:38

### getUi

- getUi(): default

- #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:34

### populatePartySlots

- populatePartySlots(): void

- #### Returns void

  - Defined in src/ui/party-ui-handler.ts:534

### processInput

- processInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  Overrides default.processInput

  - Defined in src/ui/party-ui-handler.ts:251

### processTutorialInput

- processTutorialInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  Inherited from default.processTutorialInput

  - Defined in src/ui/awaitable-ui-handler.ts:15

### setCursor

- setCursor(cursor): boolean

- #### Parameters

  - cursor: number

  #### Returns boolean

  Overrides default.setCursor

  - Defined in src/ui/party-ui-handler.ts:555

### setup

- setup(): void

- #### Returns void

  Overrides default.setup

  - Defined in src/ui/party-ui-handler.ts:157

### show

- show(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides default.show

  - Defined in src/ui/party-ui-handler.ts:219

### showDialogue

- showDialogue(text, name, delay?, callback?, callbackDelay?, prompt?, promptDelay?): void

- #### Parameters

  - text: string
  - name: string
  - `Optional` delay: number
  - `Optional` callback: Function
  - `Optional` callbackDelay: number
  - `Optional` prompt: boolean
  - `Optional` promptDelay: number

  #### Returns void

  Inherited from default.showDialogue

  - Defined in src/ui/message-ui-handler.ts:24

### showOptions

- showOptions(): void

- #### Returns void

  - Defined in src/ui/party-ui-handler.ts:631

### showPrompt

- showPrompt(callback, callbackDelay): void

- #### Parameters

  - callback: Function
  - callbackDelay: number

  #### Returns void

  Inherited from default.showPrompt

  - Defined in src/ui/message-ui-handler.ts:154

### showText

- showText(text, delay?, callback?, callbackDelay?, prompt?, promptDelay?): void

- #### Parameters

  - text: string
  - `Optional` delay: number
  - `Optional` callback: Function
  - `Optional` callbackDelay: number
  - `Optional` prompt: boolean
  - `Optional` promptDelay: number

  #### Returns void

  Overrides default.showText

  - Defined in src/ui/party-ui-handler.ts:615

### startTransfer

- startTransfer(): void

- #### Returns void

  - Defined in src/ui/party-ui-handler.ts:875

### updateOptions

- updateOptions(): void

- #### Returns void

  - Defined in src/ui/party-ui-handler.ts:670

### `Static` `Private` FilterAll

- FilterAll(_pokemon): any

- #### Parameters

  - _pokemon: PlayerPokemon

  #### Returns any

  - Defined in src/ui/party-ui-handler.ts:109

### `Static` `Private` FilterAllMoves

- FilterAllMoves(_pokemonMove): any

- #### Parameters

  - _pokemonMove: PokemonMove

  #### Returns any

  - Defined in src/ui/party-ui-handler.ts:139

### `Static` FilterFainted

- FilterFainted(pokemon): string

- #### Parameters

  - pokemon: PlayerPokemon

  #### Returns string

  - Defined in src/ui/party-ui-handler.ts:118

### `Static` FilterItemMaxStacks

- FilterItemMaxStacks(pokemon, modifier): string

- #### Parameters

  - pokemon: PlayerPokemon
  - modifier: PokemonHeldItemModifier

  #### Returns string

  - Defined in src/ui/party-ui-handler.ts:141

### `Static` FilterNonFainted

- FilterNonFainted(pokemon): string

- #### Parameters

  - pokemon: PlayerPokemon

  #### Returns string

  - Defined in src/ui/party-ui-handler.ts:111